Bug 1306506 - cpp project creation results in python exception
cpp project creation results in python exception
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: devassistant-dap-cpp (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 00:02 EST by Philip Kovacs
Modified: 2016-12-20 13:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:37:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Kovacs 2016-02-11 00:02:36 EST
Description of problem:

Same as bug 1306505 for the c assistant, but this is for the cpp assistant and in a different source file. Note that unlike the upstream c version, the upstream cpp version has not been fixed yet.

Fix for cpp goes in /usr/share/devassistant/assistants/crt/cpp.yaml.
Fix for c goes in /usr/share/devassistant/assistants/crt/c.yaml

Version-Release number of selected component (if applicable):\

devassistant-dap-cpp.noarch                                       0.11-2.fc23


How reproducible:


Steps to Reproduce:
1. da create cpp -n test-cpp
2.
3.

Actual results:

$da create cpp -n test-cpp

INFO: Project name will be converted to lowercase letters (test-cpp)
INFO: Copying c++ source tree to project destination
[devassistant]$ cp -r /usr/share/devassistant/files/crt/cpp/. "./test-cpp"
DevAssistant traceback (most recent call last):
File /usr/share/devassistant/assistants/crt/cpp.yaml:
  {'$clemail~': '$clemail1@$clemail1'}
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/devassistant/excepthook.py", line 49, in excepthook
    current_command_dict = frame.f_locals['command_dict']
KeyError: 'command_dict'

Expected results:


Additional info:

The similar fix as for the c version will fix the cpp version:

https://github.com/devassistant/dap-c/commit/ee16e6688524da23ce9be0a2d1d352a0bb766412#diff-249b58dcaf3c8212b4501a8c8f540b43
Comment 1 Philip Kovacs 2016-02-11 23:22:15 EST
More information: you will not see the bug *if* you have a .gitconfig with an email address in it.
Comment 2 Fedora End Of Life 2016-11-24 10:30:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:37:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.